<?php
/**
 * An generic answer template engine class for XML templates
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2015 Hub Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 * @todo		This template engine does not make use of setTemplateType()
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class BaseXmlAnswerTemplateEngine extends BaseXmlTemplateEngine implements CompileableTemplate, Registerable {
	/**
	 * Generic 'answer-status' field
	 */
	const ANSWER_STATUS = 'answer-status';

	/**
	 * Protected constructor
	 *
	 * @param	$className	Name of the class
	 * @return	void
	 */
	protected function __construct ($className) {
		// Call parent constructor
		parent::__construct($className);
	}

	/**
	 * Starts the answer-status
	 *
	 * @return	void
	 */
	protected function startAnswerStatus () {
		// Push the node name on the stacker
		$this->getStackInstance()->pushNamed($this->getStackerName(), self::ANSWER_STATUS);
	}

	/**
	 * Finishes the answer-status
	 *
	 * @return	void
	 */
	protected function finishAnswerStatus () {
		// Pop the last entry
		$this->getStackInstance()->popNamed($this->getStackerName());
	}
}

// [EOF]
?>
